uniform sampler2D EarthDay;
uniform sampler2D EarthNight;
uniform sampler2D EarthCloudGloss;
varying vec3 lightDir,normal;

uniform int TIME_FROM_INIT;
	
void main()
{
	vec3 ct,cf;
	vec4 texel;
	float intensity,at,af;
	
	float offset = float(TIME_FROM_INIT) * 0.00002;
	
	vec2 t = gl_TexCoord[0].st;
	t.x = t.x + offset;
	
	intensity = max(dot(lightDir,normalize(normal)),0.0);
	
	cf = intensity * (gl_FrontMaterial.diffuse).rgb + 
      				  gl_FrontMaterial.ambient.rgb;
	af = gl_FrontMaterial.diffuse.a;
	
	texel = texture2D(EarthDay, gl_TexCoord[0].st) +
		     texture2D(EarthCloudGloss, t);
	ct = texel.rgb;
	at = texel.a;
	
	gl_FragColor = vec4(ct, at);	
}