uniform vec3  BaseColor;
uniform float MixRatio;

uniform samplerCube EnvMap;
uniform sampler2D tex;

varying vec3  ReflectDir;
varying float LightIntensity;

void main()
{
    // Look up environment map value in cube map

    vec4 envColor = vec4(textureCube(EnvMap, ReflectDir));    
    vec3 ct,cf, cc;
		vec4 texel;
		float intensity,at,af, ac;
		
		intensity = LightIntensity;
		
		cf = intensity * (gl_FrontMaterial.diffuse).rgb + 
						  gl_FrontMaterial.ambient.rgb;
		af = gl_FrontMaterial.diffuse.a;
		
		texel = texture2D(tex, gl_TexCoord[0].st);
		ct = texel.rgb;
		at = texel.a;
		cc = envColor.rgb;
		ac = envColor.a;
		
		gl_FragColor = vec4(mix(ct, cc, 0.25), 1.0); //vec4(ct * cf, at * af)+ envColor;
}
