uniform int TIME_FROM_INIT;
varying float lightIntensity;

/* Constants */
const float C_PI = 3.1415;
const float C_2PI = (2.0*C_PI);
const float C_2PI_I = (1.0/(2.0*C_PI));
const float C_PI_2 = C_PI / 2.0;
uniform sampler2D tex;
void main (void)
{
    vec2 perturb;
    float rad;
    float r = float(TIME_FROM_INIT) / 500.0;
	
    rad = (gl_TexCoord[0].s + gl_TexCoord[0].t) - 1.0 + r *4.0;

    /* Wrap to -2.0*PI, 2*PI */
    rad = rad*C_2PI_I;
    rad = fract(rad);
    rad = rad*C_2PI;

    /* Center in -PI, PI */
    if (rad > C_PI) rad = rad - C_2PI;
    if (rad < -C_PI) rad = rad + C_2PI;

    /* Center in -PI/2, PI/2 */
    if (rad > C_PI_2) rad = C_PI-rad;
    if (rad < -C_PI_2) rad = -C_PI - rad;

    perturb.x  = (8.0 - rad*rad)/8.0;
    perturb.x  = rad * perturb.x/32.0;

    rad = (gl_TexCoord[0].s - gl_TexCoord[0].t + r) * 4.0;

    /* Wrap to -2*PI, 2*PI */
    rad = rad*C_2PI_I;
    rad = fract(rad);
    rad = rad*C_2PI;

    /* Center in -PI, PI */
    if (rad > C_PI) rad = rad - C_2PI;
    if (rad < -C_PI) rad = rad + C_2PI;

    /* Center in -PI/2, PI/2 */
    if (rad > C_PI_2) rad = C_PI-rad;
    if (rad < -C_PI_2) rad = -C_PI - rad;

    perturb.y  = (8.0 - rad*rad)/8.0;
    perturb.y  = rad * perturb.y/32.0;

    vec3 lightColor = vec3(texture2D(tex, perturb + gl_TexCoord[0].st)); //* lightIntensity;

    vec3 ct = clamp(lightColor, 0.0, 1.0);

    gl_FragColor = vec4 (ct, 0.8);       
}

